> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cars/listings/search

> Search Cars.com vehicle listings with the full filter set: stock type (new/used/CPO), make, model and trim, postal code and radius, price range, model-year range, maximum mileage, body style, vehicle size, cab type, door and cylinder counts, exterior and interior color, fuel type, transmission, drivetrain, deal rating, seller type, dealer-verified condition, CPO program, convenience/entertainment/exterior/safety/seating features, lifestyle, awards, vehicle history, EV range and charge time, and free-text keyword. Sort by best match, price, mileage, year, distance, best deal or recency. Returns listing cards with vehicle summary, price, mileage, photos and seller.

**Price:** 5 credits per 50 results

**💡 AI Hint:** Search Cars.com listings. makes are enum slugs (e.g. 'honda'); models are make-model slugs (e.g. 'honda-accord') and need makes set too. Filter by stock_type, zip+radius_miles, price_min/price_max, year_min/year_max, mileage_max, body_styles, fuel_types, transmissions, drivetrains, exterior/interior colors, deal_ratings, seller_types, cpo_programs, convenience/entertainment/exterior/safety/seating features, lifestyles, awards, vehicle_history, ev_range_min, charge_time_max and keyword. count is required.



## OpenAPI

````yaml /openapi-filtered.json post /api/cars/listings/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cars/listings/search:
    post:
      tags:
        - /cars
      summary: /cars/listings/search
      description: >-
        Search Cars.com vehicle listings with the full filter set: stock type
        (new/used/CPO), make, model and trim, postal code and radius, price
        range, model-year range, maximum mileage, body style, vehicle size, cab
        type, door and cylinder counts, exterior and interior color, fuel type,
        transmission, drivetrain, deal rating, seller type, dealer-verified
        condition, CPO program,
        convenience/entertainment/exterior/safety/seating features, lifestyle,
        awards, vehicle history, EV range and charge time, and free-text
        keyword. Sort by best match, price, mileage, year, distance, best deal
        or recency. Returns listing cards with vehicle summary, price, mileage,
        photos and seller.


        **Price:** 5 credits per 50 results


        **💡 AI Hint:** Search Cars.com listings. makes are enum slugs (e.g.
        'honda'); models are make-model slugs (e.g. 'honda-accord') and need
        makes set too. Filter by stock_type, zip+radius_miles,
        price_min/price_max, year_min/year_max, mileage_max, body_styles,
        fuel_types, transmissions, drivetrains, exterior/interior colors,
        deal_ratings, seller_types, cpo_programs,
        convenience/entertainment/exterior/safety/seating features, lifestyles,
        awards, vehicle_history, ev_range_min, charge_time_max and keyword.
        count is required.
      operationId: __api_cars_listings_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CarsListingsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarsListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CarsListingsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        stock_type:
          anyOf:
            - $ref: '#/components/schemas/CarsStockType'
            - type: 'null'
          description: New / Used / CPO stock type
        makes:
          items:
            $ref: '#/components/schemas/CarsMake'
          type: array
          description: Vehicle makes
          default: []
        models:
          items:
            type: string
          type: array
          description: Model slugs in make-model form (e.g. 'honda-accord'); set makes too
          default: []
        trims:
          items:
            type: string
          type: array
          description: Trim slugs (requires makes/models to be set)
          default: []
        zip:
          anyOf:
            - type: string
              minLength: 3
            - type: 'null'
          description: Postal code to search around
        radius_miles:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          description: Search radius around the postal code, in miles
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Minimum list price (USD)
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Maximum list price (USD)
        year_min:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
          description: Minimum model year
        year_max:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
          description: Maximum model year
        mileage_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Maximum mileage (miles)
        body_styles:
          items:
            $ref: '#/components/schemas/CarsBodyStyle'
          type: array
          description: Body styles
          default: []
        sizes:
          items:
            $ref: '#/components/schemas/CarsSize'
          type: array
          description: Vehicle sizes
          default: []
        cab_types:
          items:
            $ref: '#/components/schemas/CarsCabType'
          type: array
          description: Truck cab types
          default: []
        door_counts:
          items:
            $ref: '#/components/schemas/CarsDoorCount'
          type: array
          description: Door counts
          default: []
        cylinder_counts:
          items:
            $ref: '#/components/schemas/CarsCylinderCount'
          type: array
          description: Engine cylinder counts
          default: []
        exterior_colors:
          items:
            $ref: '#/components/schemas/CarsExteriorColor'
          type: array
          description: Exterior colors
          default: []
        interior_colors:
          items:
            $ref: '#/components/schemas/CarsInteriorColor'
          type: array
          description: Interior colors
          default: []
        fuel_types:
          items:
            $ref: '#/components/schemas/CarsFuelType'
          type: array
          description: Fuel types
          default: []
        transmissions:
          items:
            $ref: '#/components/schemas/CarsTransmission'
          type: array
          description: Transmission types
          default: []
        drivetrains:
          items:
            $ref: '#/components/schemas/CarsDrivetrain'
          type: array
          description: Drivetrain types
          default: []
        deal_ratings:
          items:
            $ref: '#/components/schemas/CarsDealRating'
          type: array
          description: Deal ratings
          default: []
        seller_types:
          items:
            $ref: '#/components/schemas/CarsSellerType'
          type: array
          description: Seller types
          default: []
        conditions:
          items:
            $ref: '#/components/schemas/CarsConditionFilter'
          type: array
          description: Dealer-verified condition filters
          default: []
        cpo_programs:
          items:
            $ref: '#/components/schemas/CarsCpoProgram'
          type: array
          description: Manufacturer CPO programs
          default: []
        convenience_features:
          items:
            $ref: '#/components/schemas/CarsConvenienceFeature'
          type: array
          description: Convenience features
          default: []
        entertainment_features:
          items:
            $ref: '#/components/schemas/CarsEntertainmentFeature'
          type: array
          description: Entertainment features
          default: []
        exterior_features:
          items:
            $ref: '#/components/schemas/CarsExteriorFeature'
          type: array
          description: Exterior features
          default: []
        safety_features:
          items:
            $ref: '#/components/schemas/CarsSafetyFeature'
          type: array
          description: Safety features
          default: []
        seating_features:
          items:
            $ref: '#/components/schemas/CarsSeatingFeature'
          type: array
          description: Seating features
          default: []
        lifestyles:
          items:
            $ref: '#/components/schemas/CarsLifestyle'
          type: array
          description: Lifestyle categories
          default: []
        awards:
          items:
            $ref: '#/components/schemas/CarsAward'
          type: array
          description: Award badges
          default: []
        vehicle_history:
          items:
            $ref: '#/components/schemas/CarsVehicleHistory'
          type: array
          description: Vehicle history requirements
          default: []
        ev_range_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Minimum EV total range (miles)
        charge_time_max:
          anyOf:
            - $ref: '#/components/schemas/CarsChargeTime'
            - type: 'null'
          description: Maximum EV charge time on 240V (hours)
        keyword:
          anyOf:
            - type: string
            - type: 'null'
          description: Free-text keyword (matches VIN, stock number, text)
        only_with_photos:
          type: boolean
          description: Only listings that have photos
          default: false
        include_shippable:
          type: boolean
          description: Include listings shippable from outside the area
          default: true
        sort:
          $ref: '#/components/schemas/CarsSort'
          description: Sort order
          default: best_match
        count:
          type: integer
          minimum: 1
          description: Max number of results to return
      type: object
      required:
        - count
    CarsListing:
      properties:
        '@type':
          type: string
          default: CarsListing
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        vin:
          anyOf:
            - type: string
            - type: 'null'
        make:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        trim:
          anyOf:
            - type: string
            - type: 'null'
        body_style:
          anyOf:
            - type: string
            - type: 'null'
        stock_type:
          anyOf:
            - type: string
            - type: 'null'
        is_cpo:
          type: boolean
          default: false
        is_verified:
          type: boolean
          default: false
        price:
          anyOf:
            - type: number
            - type: 'null'
        msrp:
          anyOf:
            - type: number
            - type: 'null'
        mileage:
          anyOf:
            - type: number
            - type: 'null'
        drivetrain:
          anyOf:
            - type: string
            - type: 'null'
        exterior_color:
          anyOf:
            - type: string
            - type: 'null'
        fuel_type:
          anyOf:
            - type: string
            - type: 'null'
        seller_id:
          anyOf:
            - type: string
            - type: 'null'
        seller_zip:
          anyOf:
            - type: string
            - type: 'null'
        financing_type:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        image_count:
          anyOf:
            - type: integer
            - type: 'null'
        rank_enthusiast:
          anyOf:
            - type: number
            - type: 'null'
        rank_family_friendly:
          anyOf:
            - type: number
            - type: 'null'
        rank_luxury:
          anyOf:
            - type: number
            - type: 'null'
        rank_off_road:
          anyOf:
            - type: number
            - type: 'null'
        rank_sporty:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CarsStockType:
      type: string
      enum:
        - new_cpo
        - new
        - used
        - cpo
    CarsMake:
      type: string
      enum:
        - ac
        - acura
        - alfa_romeo
        - am_general
        - american_motors
        - aston_martin
        - auburn
        - audi
        - austin_healey
        - avanti_motors
        - bentley
        - bmw
        - bricklin
        - bugatti
        - buick
        - cadillac
        - chevrolet
        - chrysler
        - cord
        - daewoo
        - datsun
        - delorean
        - desoto
        - detomaso
        - dodge
        - edsel
        - excalibur
        - ferrari
        - fiat
        - fisker
        - ford
        - genesis
        - geo
        - gmc
        - honda
        - hudson
        - hummer
        - hyundai
        - ineos
        - infiniti
        - international
        - isuzu
        - jaguar
        - jeep
        - jensen
        - kaiser
        - karma
        - kia
        - koenigsegg
        - lamborghini
        - land_rover
        - lexus
        - lincoln
        - lotus
        - lucid
        - maserati
        - maybach
        - mazda
        - mclaren
        - mercedes_benz
        - mercury
        - mg
        - mini
        - mitsubishi
        - morgan
        - nash
        - nissan
        - oldsmobile
        - packard
        - pagani
        - panoz
        - plymouth
        - polestar
        - pontiac
        - porsche
        - qvale
        - ram
        - rivian
        - rolls_royce
        - saab
        - saleen
        - saturn
        - scion
        - smart
        - studebaker
        - subaru
        - sunbeam
        - suzuki
        - tesla
        - toyota
        - triumph
        - vinfast
        - volkswagen
        - volvo
        - willys
    CarsBodyStyle:
      type: string
      enum:
        - suv
        - truck
        - sedan
        - hatchback
        - coupe
        - passenger_van
        - cargo_van
        - convertible
        - minivan
        - wagon
    CarsSize:
      type: string
      enum:
        - full_size
        - mid_size
        - compact
        - subcompact
    CarsCabType:
      type: string
      enum:
        - crew_cab
        - extended_cab
        - regular_cab
    CarsDoorCount:
      type: string
      enum:
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
        - '8'
        - '0'
    CarsCylinderCount:
      type: string
      enum:
        - '3'
        - '4'
        - '5'
        - '6'
        - '8'
        - '10'
        - '12'
        - '0'
    CarsExteriorColor:
      type: string
      enum:
        - beige
        - black
        - blue
        - brown
        - gold
        - gray
        - green
        - orange
        - pink
        - purple
        - red
        - silver
        - white
        - yellow
    CarsInteriorColor:
      type: string
      enum:
        - beige
        - black
        - blue
        - brown
        - gold
        - gray
        - green
        - orange
        - pink
        - purple
        - red
        - silver
        - white
        - yellow
    CarsFuelType:
      type: string
      enum:
        - compressed_natural_gas
        - diesel
        - e85_flex_fuel
        - electric
        - gasoline
        - hybrid
        - hydrogen_fuel_cell
        - plug_in_hybrid
    CarsTransmission:
      type: string
      enum:
        - automanual
        - automatic
        - cvt
        - manual
        - unknown
    CarsDrivetrain:
      type: string
      enum:
        - all_wheel_drive
        - four_wheel_drive
        - front_wheel_drive
        - rear_wheel_drive
        - unknown
    CarsDealRating:
      type: string
      enum:
        - great
        - good
        - fair
    CarsSellerType:
      type: string
      enum:
        - dealership
        - online_seller
        - private_seller
    CarsConditionFilter:
      type: string
      enum:
        - has_report
    CarsCpoProgram:
      type: string
      enum:
        - acura_precision_certified
        - acura_precision_certified_ev
        - aston_martin
        - bentley
        - bmw
        - cadillac
        - carbravo
        - carbravo_bravobudget
        - ferrari
        - ford_blue
        - ford_blue_advantage_ev
        - ford_gold
        - genesis
        - honda_true_certified
        - hondatrue_certified_ev
        - hyundai
        - infiniti
        - infiniti_certified_pre_owned_select
        - kia
        - kia_lite
        - lexus
        - lincoln
        - mazda
        - mercedes_benz
        - mitsubishi
        - nissan
        - nissan_certified_select
        - polestar
        - porsche
        - rolls_royce
        - subaru
        - toyota
        - volkswagen
        - volvo
    CarsConvenienceFeature:
      type: string
      enum:
        - adaptive_cruise_control
        - automatic_parking
        - autopilot
        - cooled_seats
        - heated_seats
        - heated_steering_wheel
        - keyless_entry
        - keyless_start
        - navigation_system
        - power-folding_mirrors
        - power_liftgate
        - remote_start
        - wheelchair_accessible
    CarsEntertainmentFeature:
      type: string
      enum:
        - android_auto
        - apple_carplay
        - bluetooth
        - cd_player
        - dvd_player
        - homelink
        - premium_sound_system
        - rear_seat_entertaiment
        - satellite_radio
        - usb_port
        - wifi_hotspot
    CarsExteriorFeature:
      type: string
      enum:
        - alloy_wheels
        - roof_rack
        - sunroof_moonroof
        - tow_hitch
        - tow_hooks
    CarsSafetyFeature:
      type: string
      enum:
        - automatic_emergency_braking
        - backup_camera
        - blind_spot_monitor
        - brake_assist
        - led_headlights
        - lane_departure_warning
        - rain-sensing-wipers
        - rear_cross_traffic_alert
        - stability_control
    CarsSeatingFeature:
      type: string
      enum:
        - leather_seats
        - memory_seat
        - third_row_seating
    CarsLifestyle:
      type: string
      enum:
        - enthusiast
        - family_friendly
        - luxury
        - off_road
        - sporty
    CarsAward:
      type: string
      enum:
        - ami
        - best_of
    CarsVehicleHistory:
      type: string
      enum:
        - no_accidents
        - clean_title
        - one_owner
        - personal_use
    CarsChargeTime:
      type: string
      enum:
        - '0'
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
        - '7'
        - '8'
        - '9'
        - '10'
        - '11'
        - '12'
        - '13'
        - '14'
        - '15'
        - '16'
        - '17'
        - '18'
        - '19'
    CarsSort:
      type: string
      enum:
        - best_match
        - price_low
        - price_high
        - mileage_low
        - mileage_high
        - distance
        - best_deal
        - year_new
        - year_old
        - newest_listed
        - oldest_listed
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````